首页 > 其他 > 详细

/lib/libc.so.6: ELF file OS ABI invalid

时间:2017-10-13 12:21:17      阅读:39      评论:0      收藏:0      [点我收藏+]

标签:libc.so.6报错

升级python时 在更新rpm包时把 libc包更新了,导致系统报错,所有linux指令都执行不了

linux版本 是centos5.11 x64 位

/lib/libc.so.6: ELF file OS ABI invalid   -----libc.so.6实质是一个软连接,对应的libc-2.5.so文件被升级了导致这个错误,

最后的修复办法是下载一个同版本镜像在虚拟机安装后,copy出里面的 libc文件

替换回去就正常了

2种方法,一种是U盘连接能认到那么直接用LD_PRELOAD 的方式拷贝文件 并做软连接;

另一种方式,用u盘引导进救援模式或者u pe模式,拷贝文件

可能会用到指令

LD_PRELOAD=/lib64/libc-2.5.soLD_PRELOAD=/lib64/libc-2.5.so
LD_PRELOAD=/lib64/libc-2.5.so ll /lib64/libc.so.6

本文出自 “10999243” 博客,请务必保留此出处http://11009243.blog.51cto.com/10999243/1971917

/lib/libc.so.6: ELF file OS ABI invalid

标签:libc.so.6报错

原文:http://11009243.blog.51cto.com/10999243/1971917

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
© 2014 bubuko.com 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号